GNU bug report logs - #44935
Emacs inserts hardwired org-agenda-files variable, overwriting user options

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,org-mode; Reported by: daniela-spit@HIDDEN; dated Sat, 28 Nov 2020 21:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 17:39:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 12:39:41 2020
Received: from localhost ([127.0.0.1]:52503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjQfl-0003uq-6z
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 12:39:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1kjQfk-0003ud-1A
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 12:39:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37363)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1kjQfe-0000Oc-R4; Sun, 29 Nov 2020 12:39:34 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1kjQfc-0005Cf-Ck; Sun, 29 Nov 2020 12:39:32 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 <837dq4mcb1.fsf@HIDDEN> <X8PMXhbf6c9gUrLo@HIDDEN>
 <83lfekkrih.fsf@HIDDEN>
X-Spook: Hazmat AMW Craig Livingstone Keylogger Violence Center
X-Ran: 9Skzd]|Wq'!q#mOaCG.~"UVd=ty`h2R)bRE).^d<KDGWQHz+^%VsGRHzoq;V6|r0f:q^f`
X-Hue: brightblue
X-Attribution: GM
Date: Sun, 29 Nov 2020 12:39:31 -0500
In-Reply-To: <83lfekkrih.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 29 Nov
 2020 19:21:58 +0200")
Message-ID: <q8a6v0f4fg.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44935
Cc: daniela-spit@HIDDEN, 44935 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii wrote:

> In rare cases that users become confused, we gently tell them to
> report to the Org developers.

I think it's better all round to just reassign the bug to the "org-mode"
package.

> There is no manager here that forwards bugs.

And yet, all the messages in this thread (save the first) are already on
the Org mailing list...




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 17:22:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 12:22:16 2020
Received: from localhost ([127.0.0.1]:52420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjQOt-0003Nx-Nz
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 12:22:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kjQOr-0003Nl-QB
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 12:22:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37039)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kjQOm-00064q-FO; Sun, 29 Nov 2020 12:22:08 -0500
Received: from [176.228.60.248] (port=1883 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kjQOl-0007Tj-Pf; Sun, 29 Nov 2020 12:22:08 -0500
Date: Sun, 29 Nov 2020 19:21:58 +0200
Message-Id: <83lfekkrih.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X8PMXhbf6c9gUrLo@HIDDEN> (message from Jean Louis
 on Sun, 29 Nov 2020 19:29:18 +0300)
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 <837dq4mcb1.fsf@HIDDEN> <X8PMXhbf6c9gUrLo@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44935
Cc: daniela-spit@HIDDEN, 44935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 29 Nov 2020 19:29:18 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: daniela-spit@HIDDEN, 44935 <at> debbugs.gnu.org
> 
> * Eli Zaretskii <eliz@HIDDEN> [2020-11-29 18:08]:
> > Shouldn't this be reported to the Org developers?
> 
> We have discussed that Org is part of Emacs and users shall be at all
> time welcome to report their bugs and pointers can be made how to
> closer report to Org mailing list. It makes it confusing to users, and
> is not logical. Org is part of Emacs so it is Emacs bug.

In rare cases that users become confused, we gently tell them to
report to the Org developers.  Like in this case.  It's not a big
deal.

Org is a separate project with a separate mailing list and issue
tracker.  We just _distroibute_ it as part of Emacs.  That's not the
same as being an integral part of the project.

> I find this more mailing list manager job to properly forward bugs.

There is no manager here that forwards bugs.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 16:59:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 11:59:46 2020
Received: from localhost ([127.0.0.1]:52401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjQ37-0002or-Sa
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 11:59:46 -0500
Received: from mout.gmx.net ([212.227.15.18]:50533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniela-spit@HIDDEN>) id 1kjQ36-0002od-55
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 11:59:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1606669147;
 bh=qxkYXEZgQ8CYaSfpfm3THIrnbkR6AnuLb5yBHAfzxOk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:Date:In-Reply-To:References;
 b=RbARwhtVKqSPpCLAwIeC+KhmY2kr+xcvmmnaPhXb8ytLd/p9M+yfO6mU8nrqgxOM3
 mZgAGcoRIjBRaqijw4n86fSuymuPLXtT8u0cH/X2dPqVtR+MdnPCMXjNjhKyfTDci/
 ymgeB5OmMuP6lKAbVM2OaCrGJHFPyQPcK5f3iEOI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [213.165.168.94] ([213.165.168.94]) by web-mail.gmx.net
 (3c-app-mailcom-bs11.server.lan [172.19.170.179]) (via HTTP); Sun, 29 Nov
 2020 17:59:06 +0100
MIME-Version: 1.0
Message-ID: <trinity-0ffdeee9-bf2b-42f2-8611-f33086a57807-1606669146939@3c-app-mailcom-bs11>
From: daniela-spit@HIDDEN
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
Content-Type: text/plain; charset=UTF-8
Date: Sun, 29 Nov 2020 17:59:06 +0100
Importance: normal
Sensitivity: Normal
In-Reply-To: <X8PMXhbf6c9gUrLo@HIDDEN>
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 <837dq4mcb1.fsf@HIDDEN> <X8PMXhbf6c9gUrLo@HIDDEN>
X-UI-Message-Type: mail
X-Priority: 3
X-Provags-ID: V03:K1:V/bVGYAigndxD56qyZXErIZ3WHxE2NzUVChd2VXXREGXE6JHEfR/Q7zEhPzu5uCrlVsTo
 PUU6Wg8Z3svQ+/d9EgMCHHNF5py1GaT2xIXcL+Wvkv734iJYS6DcvaaLRhGWucoTVGlzMEUSf1S9
 BPpPMZrV9KO5Xmly3Wfuzt2pAczCi4UOpuBeL1SiSf0YOkXCgd1yFJ0s67+++qrz9uqxgCjcxgn3
 1ofPzmtVWReMkmS1z0BOYfrVzWK97WmlALJ48oM6iJ5z9QrV388NP/44QK68Gk6WoZp3wa+XP91n
 sM=
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UfaNFMIRitw=:vURIY4OsBrGd9UYO9s5Rt0
 Z7Q4fihIjxv0enLmMbqK/nI65WUfXhccMdCrLjTL319csYX+F81Udt107eO+MbBiiTrtsLhT8
 HibcoolPamnJAAzLzweY5fZO00Ly/zuBz1IErLZ6Hp9TAUtT9NjvpfJeMXKqfsg3TrzDZvTiO
 TIbWroMbhr8q8liqmpBYRO8OAThX/SEr9uZlhMibhJAqpxnqHHwTKP9dEYxtFScqlwZyYfify
 IDGOFsnheEjXTneCYdmhxGQDEUYtv68DGLf0rSJ5ydeJv6mBRiyW1+qZLH8TcCG5xWix42gEG
 xFOFs4ujpW/joxbu7+7r9lxihfUEIoX8Jnux8I+edV7Xc6fKXxkKRtz28FJsL62rGoVQbQ7wS
 bjX6wtOKAQ67oeZ5Z1qqazHESLzcDZXPteM/I5tisqHTvXyaHfV4KKVNnhXkKZl+GDHeFwQjN
 TFK/Xs72OHYahduU2LgvIQPV3sTOChvxo1gr1WSBrPg/1uCbsUSVfhYITEmCiCVvWvUJnUuR9
 q26PmcQ5xtyDNjRqelA1od6R/XJ88xf4JfdBPBdEm66MX/4liRKeB+xvOnx+DUc34d3ASOqen
 PAFILxan0KujM=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44935
Cc: Eli Zaretskii <eliz@HIDDEN>, 44935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Correct, everything tells you it is part of Emacs.  Then one sends a repor=
t and people
start sending in in a long winded road to find the appropriate channel.

You look at "Emacs Asking for help" and "Emacs Reporting bugs" and you get=
 only two things
help-gnu-emacs@HIDDEN and bug-gnu-emacs@HIDDEN  Have been following dis=
cussions here
and people herd together telling others they are doing everything backward=
s. And insisting
everything is fine, makes serious people not happy at all.  I do not want =
to hurt anyone,
but there exists a wall between maintainers and users who basically use Gn=
u Tools to do
something else.

> Sent: Sunday, November 29, 2020 at 5:29 PM
> From: "Jean Louis" <bugs@HIDDEN>
> To: "Eli Zaretskii" <eliz@HIDDEN>
> Cc: daniela-spit@HIDDEN, 44935 <at> debbugs.gnu.org
> Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variabl=
e, overwriting user options
>
> * Eli Zaretskii <eliz@HIDDEN> [2020-11-29 18:08]:
> > Shouldn't this be reported to the Org developers?
>
> We have discussed that Org is part of Emacs and users shall be at all
> time welcome to report their bugs and pointers can be made how to
> closer report to Org mailing list. It makes it confusing to users, and
> is not logical. Org is part of Emacs so it is Emacs bug.
>
> While there is pointer under Org menu how to report the bug, it is not
> as obvious as "Help - Report Bug". So sometimes Org bugs will arrive
> here.
>
> Org bugs should be then simply forwarded to mailing list or tagged as
> being Org so that they may be picked up by mailing list.
>
> I find this more mailing list manager job to properly forward bugs.
>
> For Org one can submit {M-x org-submit-bug-report RET}
>
> For this bug, I do not think it is bug. Isn't it for all variables
> like that that when they are customized by user on top of the init
> file that they customization during the session will overwrite the
> customizations set by user on top of the init file?
>
> If this is so how I think, then users who do not want Emacs to
> overwrite their customization in init file should not use the
> customize for those variables. Then the user's customization will take
> effect.
>
> I do not see differences here with org-agenda.
>
> Are there any?
>




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 15:52:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 10:52:15 2020
Received: from localhost ([127.0.0.1]:52318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjOzn-0007T1-7z
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:52:15 -0500
Received: from mout.gmx.net ([212.227.15.15]:56705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniela-spit@HIDDEN>) id 1kjOzl-0007Sj-CI
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:52:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1606665123;
 bh=KlUZX2pRi6NW2/FuIwPllt20w7YKKcnMOgHmHlJbBU4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:Date:In-Reply-To:References;
 b=WCojVFRuZHls/ZZWYPmVML+L6zq3AKgsfIHZM5D9EuVItCYrf2j1ZV+ypEuDYWZR9
 /xF36CUrWMAnqdFHW/AcSPLXmEMgrC0Igzgulckv+DQXZSoznGuZCY4Cba5hsv5Azp
 GclBMRFSjgyq6dDUJQY/V9EQdKk0YJXN4KNwb3FQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [213.165.168.94] ([213.165.168.94]) by web-mail.gmx.net
 (3c-app-mailcom-bs11.server.lan [172.19.170.179]) (via HTTP); Sun, 29 Nov
 2020 16:52:03 +0100
MIME-Version: 1.0
Message-ID: <trinity-188ac258-d273-4e51-80d1-cda1e4bd0b25-1606665123364@3c-app-mailcom-bs11>
From: daniela-spit@HIDDEN
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
Content-Type: text/plain; charset=UTF-8
Date: Sun, 29 Nov 2020 16:52:03 +0100
Importance: normal
Sensitivity: Normal
In-Reply-To: <87k0u4cgy8.fsf@HIDDEN>
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 <837dq4mcb1.fsf@HIDDEN>
 <trinity-f5b7d4ec-14cf-4603-b2ec-3840743b2bda-1606662744397@3c-app-mailcom-bs11>
 <87k0u4cgy8.fsf@HIDDEN>
X-UI-Message-Type: mail
X-Priority: 3
X-Provags-ID: V03:K1:/JXhaoN4QDJfihA3twnvNIk/VuIPPzDotzl3PL4rLQnpjn/lbabnTf0/4LTB2DBxDD+q1
 1yOG4P0T87q6o0zsUjnuroKQhjG9riqoQBKkUbrXOscidGgu2zzKRtn7u0Dl0ihWC0TtKGadPmH7
 a7lTW83qxJtCTo4Inn6qyFiy1DStqlDkpcD4m0+HZQ4TRQ3dtc1R4cDafF31PGoVA7Q36kOz3Vg+
 8fgaQ7XEmivkYnEx5m/59YAvP0vhvo0RospgjyQFL5rIYUhLMR/FgNECYURByvL/EjTExotdRzuN
 Dw=
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:CyMg2bD8hkQ=:YEG1pRd2PIip9Ygphbh+0P
 mvh+Il9Jede8iREbHaK2ubx1XKAOUb1cUYVdj4n+jw8zWcH7/SFEJ+VOjt+K7M+8C8xafmOBC
 aF9FzSBtyxbu4KVf4MMICRxIamn8UBcSQx0GJVwnfmIMA83LN+ZDMkck1mNPq+SDfpsmbFvpR
 9U/i2OMB29rrzWM4srIC/9158MbG7l9J8TOM4YULwa3tsRqHlwGij40g8ejbj2o9DqF7JmsRt
 yj9z8fIiIGfeNmrbYXxV5W/ArLiHi7oLLGOfEPD2AdH6BzQBQ0VK4/cgMgFmmEen7Zlaiyuvw
 j8XJ6WyIQJ5B6N6ikxk/D2Vv21WjBPOUyy6TiyjcsiwxP5a/B/SJmvgDqqrt2sqEXw+ab8RrA
 vxTL5aKNwHzQPLRmo+kGnaEQ1C6PaEU4Dn0QFjV6K4Z8EuEspQP6HxsQ/7HRERnXnJkCaKck7
 d/ecdWSoS3moxwUjSKu3qcWpE8kfczLyidEknBd/Y+oHBhTBJ9PNPpNYJFMbWhHq5d+fTwYwp
 XxUl8AQCLN//Iab5Ypg4rMoNYra+NArZPaKSqkJCl1mkjeGmtAiyJIsG/HnVoAZaIrfowaiu2
 DOQhPPTSENO4A=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44935
Cc: Eli Zaretskii <eliz@HIDDEN>, 44935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> Sent: Sunday, November 29, 2020 at 4:37 PM
> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> To: daniela-spit@HIDDEN
> Cc: "Eli Zaretskii" <eliz@HIDDEN>, 44935 <at> debbugs.gnu.org
> Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variabl=
e, overwriting user options
>
> daniela-spit@HIDDEN writes:
>
> >> Sent: Sunday, November 29, 2020 at 4:07 PM
> >> From: "Eli Zaretskii" <eliz@HIDDEN>
> >> To: daniela-spit@HIDDEN
> >> Cc: 44935 <at> debbugs.gnu.org
> >> Subject: bug#44935: Emacs inserts hardwired org-agenda-files variable=
, overwriting user options
> >>
> >> Shouldn't this be reported to the Org developers?
> >
> > What mailing should I use to report it to Org Developers?
>
> M-x org-submit-bug-report RET, which mails emacs-orgmode@HIDDEN

Thank you Basil.

> See also (info "(org) Feedback") in Emacs, or
> https://orgmode.org/manual/Feedback.html on the web,
> and https://orgmode.org/community.html.
>
> Thanks,
>
> --
> Basil
>




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 15:37:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 10:37:28 2020
Received: from localhost ([127.0.0.1]:52269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjOlU-0004qc-Co
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:37:28 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:50583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1kjOlS-0004qM-EW
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:37:26 -0500
Received: by mail-wm1-f48.google.com with SMTP id c198so13193368wmd.0
 for <44935 <at> debbugs.gnu.org>; Sun, 29 Nov 2020 07:37:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=D/yT5KAUxWI4AilGADOMFza8WZ5iReTYDViUd1snOKE=;
 b=rvyeWVCfgbxfel1COnNlB5lxBpVAExt7FGFEo7WSw796xFp3bR291Wr1ktCmzEHmbv
 lRBgMJqGUl8MahUImYcbnFRl/eZ5o7qqfPvKI7/c9XGWY0IeP/xTrZRS6Vbe5dk1biVY
 Vw1fBjP03HG83YHDkAI6Vq55f+oP+Uze00GLIyc1B47ijSO87jt4Y2GS4I3s9sLmY04Y
 2PA+mA8Z5Zoc4IY6FSMtcpS2IjEHxVuiKd16iAMB14FgLiTLNTWRGZ7zQNSgQsoI1dAP
 +pIrwCu2Bpyim2iYtQ+MkLtjE5WI36kPRmGwcuIFVYqELcONrZ1Ttj1e6IOC+aVzdEZF
 je8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=D/yT5KAUxWI4AilGADOMFza8WZ5iReTYDViUd1snOKE=;
 b=TrxJkpJcd/hOpZ6uirC9qpeWcIq/YdlCl84OWcSVnPn/yfKlpGX7EUrHuIKaHeY4VD
 wOzXI4QgrqjilXvGVcsp169OVG4g5xGEAlUjMp6ooXOQ16NoP5K4LdAS+UtGxxfCy4Bc
 bJAOmmUSiqwmNidRsMZ4MBC34LTniMUCVCfZOtlWxBhSQ7T6udWrImYUdUrUwlvdYo3N
 Reus2HcWqRavPo0IX5QLIes1hUh9++MbEY0PKq/4ab6s6C7L+IYnmrcjcrX/c85E6SaB
 njfdgSIz3+Utp8Q2qw9Q7WhODtpzJIc0UOvqimNP9Xla+PfcpUF/mINJPliEAEqJPrOX
 oOAA==
X-Gm-Message-State: AOAM530suO7Dz6043T2c/5Ph0NAQ4YzcvvSCR0qNdHEtOzmdxj/udC4k
 oBFw5S4zLhz+u94bWqUzlstqsg==
X-Google-Smtp-Source: ABdhPJweUu8dOXRQMHBjfSBrLBt+HScOd1eDlBNWF8jNQCJCUhMZ0SvEGePvEcv3tXEoqofZGql51g==
X-Received: by 2002:a1c:6787:: with SMTP id b129mr19017879wmc.57.1606664240790; 
 Sun, 29 Nov 2020 07:37:20 -0800 (PST)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id q1sm24332534wrj.8.2020.11.29.07.37.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 Nov 2020 07:37:20 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: daniela-spit@HIDDEN
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 <837dq4mcb1.fsf@HIDDEN>
 <trinity-f5b7d4ec-14cf-4603-b2ec-3840743b2bda-1606662744397@3c-app-mailcom-bs11>
Date: Sun, 29 Nov 2020 15:37:19 +0000
In-Reply-To: <trinity-f5b7d4ec-14cf-4603-b2ec-3840743b2bda-1606662744397@3c-app-mailcom-bs11>
 (daniela-spit@HIDDEN's message of "Sun, 29 Nov 2020 16:12:24 +0100")
Message-ID: <87k0u4cgy8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44935
Cc: Eli Zaretskii <eliz@HIDDEN>, 44935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

daniela-spit@HIDDEN writes:

>> Sent: Sunday, November 29, 2020 at 4:07 PM
>> From: "Eli Zaretskii" <eliz@HIDDEN>
>> To: daniela-spit@HIDDEN
>> Cc: 44935 <at> debbugs.gnu.org
>> Subject: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options
>>
>> Shouldn't this be reported to the Org developers?
>
> What mailing should I use to report it to Org Developers?

M-x org-submit-bug-report RET, which mails emacs-orgmode@HIDDEN

See also (info "(org) Feedback") in Emacs, or
https://orgmode.org/manual/Feedback.html on the web,
and https://orgmode.org/community.html.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 15:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 10:12:32 2020
Received: from localhost ([127.0.0.1]:52242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjONM-00040s-5D
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:12:32 -0500
Received: from mout.gmx.net ([212.227.15.18]:42869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniela-spit@HIDDEN>) id 1kjONL-00040Z-1r
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:12:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1606662744;
 bh=dQpuBTg0uUhOmY7RFncFFzAOJWTaHgjgp2FsOryVKMA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dEJCPEwPf250AyzE//v8VXD2Fg2bDLfDLwJwGsiNljnQFkZmAuw/W4UyyQF7atEKC
 Qx2hlD6RjphQSPY8RiBVAB76nxyoihl4Xh+E6svo1+3Fr1wkHrKC+/cJUYbo+YowUC
 lSPBHVhs9o72wrkT6uNcR0QFm6b1BsyzSKbNBxlI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [213.165.168.94] ([213.165.168.94]) by web-mail.gmx.net
 (3c-app-mailcom-bs11.server.lan [172.19.170.179]) (via HTTP); Sun, 29 Nov
 2020 16:12:24 +0100
MIME-Version: 1.0
Message-ID: <trinity-f5b7d4ec-14cf-4603-b2ec-3840743b2bda-1606662744397@3c-app-mailcom-bs11>
From: daniela-spit@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
Content-Type: text/plain; charset=UTF-8
Date: Sun, 29 Nov 2020 16:12:24 +0100
Importance: normal
Sensitivity: Normal
In-Reply-To: <837dq4mcb1.fsf@HIDDEN>
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 <837dq4mcb1.fsf@HIDDEN>
X-UI-Message-Type: mail
X-Priority: 3
X-Provags-ID: V03:K1:1NTZAy/T7CARVX2RskH/85JzgtcnlKrKFV5kfG53qqw1NtkY5a3CMF+Utw5Iaxe+V+222
 89FCGFJcliBPJsE+wQMTasSa2oth1C3ZqSLOm+i2JgbMjydD0/jGcPHCDH9wIrsMsuJQWabaIoPQ
 +2Wxvz6Z9bVs6aU+LZZmDqqJNegaERRluZxx+rKiaBb5nfL2RcUDb3kodrMQLPMwMJXx/GZ5fODV
 CrSKjiP/Aqtg+bXuS3QMJ+3+3HH7p42MCGbYvJHZESOwFoV191NaTTHVNbxPWEcXAvHEhDByGgEs
 cE=
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tVBCzzHY4yE=:ogPG7u2x34ddeXFY8oYUz8
 HIo80O6T9Ngjz6eHTg2KLrofNKu4eDeu0k7pMJL649lqT9ybUscTXGxahQ1rBU6T+yZVunIys
 UZbWpyMHDQcRPj2uSOD3wWEG+NHcmhGKsTfihkPWBIwu+00jy0NLlkW/t1cWuRYIGqA/spHFk
 u4ZflxD1jf1oU8dAkp1YBuk5bJILilQE1PmZk92jpU8RY2JdaXbW7gl9pEavQ4AwAzLG+jwXO
 Lh0BZGYhQP2Mt4VvSvwYP5tcNVhQq4ucYoKN+/2jdNZmsuIBH+chaFvoHS84TSPxjQ/FUgMU9
 5xuMVCIU82ZHpEAmcLC4Bz+0vSNUyoRy4HJV+viHj1Okp5Zr4Bwn0QoW7o3y5M/tzKHOwmH/A
 KQulzLqfLelsx84+5UhlZ9uSL5h6IVPJHVt2O0gWf4+qCbq8amCuc+zqZ9ZL770DSNRkJ4HdU
 ec9jR34EK6KHTWDruGZH70PLGGElQlogpeO6Sj7LmvLoa7OpxKJ1mfhdQLlL+LzPRkBnjJwtb
 9FyGmzJBYZo1nnbnT4I1kWXqsd+UZOXQuDZIaC40ZqznvHt8QM4tSxU31iyv3PdG/XlU+GbgK
 AuvKlg3GRNMdc=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44935
Cc: 44935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> Sent: Sunday, November 29, 2020 at 4:07 PM
> From: "Eli Zaretskii" <eliz@HIDDEN>
> To: daniela-spit@HIDDEN
> Cc: 44935 <at> debbugs.gnu.org
> Subject: bug#44935: Emacs inserts hardwired org-agenda-files variable, o=
verwriting user options
>
> > From: daniela-spit@HIDDEN
> > Date: Sat, 28 Nov 2020 22:34:07 +0100
> >
> > I have identified a problem.  Let a user set the files to be used for
> > Org Agenda in .emacs as follows, and consider the situation when the
> > file writing.rcl.org does not exist.
> >
> > (setq org-agenda-files
> >    '("~/02histr/gadmin/writing.rcl.org"
> >      "~/02histr/gadmin/meeting.rcl.org"
> >      "~/02histr/gadmin/household.rcl.org"))
> >
> > Emacs demands that the file writing.rcl.org be removed from org-agenda=
-files.
> > Then Emacs sabotages the user's settings by hardwiring org-agenda-file=
s at the
> > end of the file .emacs by inserting:
> >
> > (custom-set-variables
> >  ;; custom-set-variables was added by Custom.
> >  ;; If you edit it by hand, you could mess it up, so be careful.
> >  ;; Your init file should contain only one such instance.
> >  ;; If there is more than one, they won't work right.
> >  '(org-agenda-files
> >    '("~/02histr/gadmin/meeting.rcl.org" "~/02histr/gadmin/household.rc=
l.org")))
> >
> > This should be considered a bug.
>
> Shouldn't this be reported to the Org developers?

What mailing should I use to report it to Org Developers?

>
>




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at 44935 <at> debbugs.gnu.org:


Received: (at 44935) by debbugs.gnu.org; 29 Nov 2020 15:07:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 10:07:49 2020
Received: from localhost ([127.0.0.1]:52226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjOIm-0003qs-VH
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:07:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kjOIl-0003qf-4J
 for 44935 <at> debbugs.gnu.org; Sun, 29 Nov 2020 10:07:47 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35043)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kjOIf-0000gx-Pm; Sun, 29 Nov 2020 10:07:41 -0500
Received: from [176.228.60.248] (port=1464 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kjOIe-0004PP-Fc; Sun, 29 Nov 2020 10:07:41 -0500
Date: Sun, 29 Nov 2020 17:07:30 +0200
Message-Id: <837dq4mcb1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: daniela-spit@HIDDEN
In-Reply-To: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
 (daniela-spit@HIDDEN)
Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable,
 overwriting user options
References: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44935
Cc: 44935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: daniela-spit@HIDDEN
> Date: Sat, 28 Nov 2020 22:34:07 +0100
> 
> I have identified a problem.  Let a user set the files to be used for
> Org Agenda in .emacs as follows, and consider the situation when the
> file writing.rcl.org does not exist.
> 
> (setq org-agenda-files
>    '("~/02histr/gadmin/writing.rcl.org"
>      "~/02histr/gadmin/meeting.rcl.org"
>      "~/02histr/gadmin/household.rcl.org"))
> 
> Emacs demands that the file writing.rcl.org be removed from org-agenda-files.
> Then Emacs sabotages the user's settings by hardwiring org-agenda-files at the
> end of the file .emacs by inserting:
> 
> (custom-set-variables
>  ;; custom-set-variables was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(org-agenda-files
>    '("~/02histr/gadmin/meeting.rcl.org" "~/02histr/gadmin/household.rcl.org")))
> 
> This should be considered a bug.

Shouldn't this be reported to the Org developers?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#44935; Package emacs,org-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Nov 2020 21:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 28 16:59:00 2020
Received: from localhost ([127.0.0.1]:49251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kj8F8-00058b-Hw
	for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 16:59:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:43100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniela-spit@HIDDEN>) id 1kj7r9-0004a0-VQ
 for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 16:34:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59706)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <daniela-spit@HIDDEN>)
 id 1kj7r9-0004Xu-OH
 for bug-gnu-emacs@HIDDEN; Sat, 28 Nov 2020 16:34:11 -0500
Received: from mout.gmx.net ([212.227.15.15]:34717)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <daniela-spit@HIDDEN>)
 id 1kj7r7-0002ep-JT
 for bug-gnu-emacs@HIDDEN; Sat, 28 Nov 2020 16:34:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1606599247;
 bh=uEiwzifV9zJ7eIl2dPiCyysYp36z2zeE7j+zavOpjkM=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=kus12sLamMmKWlsm/eICuL4owbR6IqAi4i3LsY/uixDsDRo4JEyOt8xxACKVTn3Cn
 37VFUzLffOl1pLqeopbmC8sRKsREUPqaSj8eKY2JXjf8B4r6EMCJIqNexh1tnAG2wW
 0yFWYoBo/8rvW0fpzAoJ+wyE/fPUSo0M77nggTLo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [213.165.168.94] ([213.165.168.94]) by web-mail.gmx.net
 (3c-app-mailcom-bs11.server.lan [172.19.170.179]) (via HTTP); Sat, 28 Nov
 2020 22:34:07 +0100
MIME-Version: 1.0
Message-ID: <trinity-80d8aadc-661f-4964-b2d6-28992e59cda7-1606599247632@3c-app-mailcom-bs11>
From: daniela-spit@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Emacs inserts hardwired org-agenda-files variable, overwriting user
 options
Content-Type: text/plain; charset=UTF-8
Date: Sat, 28 Nov 2020 22:34:07 +0100
Importance: normal
Sensitivity: Normal
X-Priority: 3
X-Provags-ID: V03:K1:JL3M4ZLhi7haYwZtd/2SP03ryZPy5oWhxAjZ+fAKgL1YZJgRWzcq2PhJ+8dVBMdVKQbtS
 nxsc7VTOZgw9MKdAmGoPnn1ebX1DHUZ2HddyD3t6aZ49u6iJis3mMuiMlPwHEH5MhSTOLf5JMPhT
 qBU9RS4o+7MLlXXC92neu5Z0n11ePzshqo3lyrCNfo7cr8B8TXVn/xY5Cyr6fc9tqLyKgusUu7Hh
 SsEMT5OT8XBUGiUILEt8q5Qwh1COZ+B2FEABISdZLw/p4A5sEPRBLMBzbzvaJqm6YoRZe8tR02FX
 HE=
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9IIsYUcK/Co=:NEczxzPOfMlB413PzfOpk2
 olh1Blqj/g0lCVCWjIP8oP6HIFTC78XiMETE8v0NlD3lobWTzFViCkiZxyQTHu+KOemXrQpFC
 gWz8QSbbfIQVK3JnGRMSoQdshxy9dM5xInR1pldiR34AVBxd0LmGEAJfbz9pVeovT8/7VN0Y+
 5K3qew16CKLWBvADGx1QP37sOL12+G1uO+d02ZRGJj1chjo2Cr60fXDxUgC8Kia5+C0kp+hh4
 5vl3b1aQW4RVSF7tFoYPunMOi3eCJRVRg8GtuTFmdgH8zMi1QXyYs6ERY2A3Xrwg4i6YFJZIz
 QAWdVppbZHDpnu6wX86TlyRYak0c6DSCt+6oWVyN8Y6AMKSdI8XCOV8AAnSJBhuqXhAutQwxm
 uswdh0jps1Dei5Gw+S7f+SEr6ipkPQ1c4GpCjBT9JiaT6kQMnE3JBQL39k2FaaWxW+PkLU9ke
 vNJuENbqyBGiJWx0XCoiZFxi1iqGnJUM1qtvPtK1OJtgVK6tQd8SLhV1+JeU9SPgxLAbRxiYW
 MSdIjjNYvg4j481TT5GVYF7KgJBeVbBDnPedm9NiyIus3OdM95KlZX4+grQ9kqg4f6s4h7B42
 SLAKL6cp1sd0o=
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=212.227.15.15; envelope-from=daniela-spit@HIDDEN;
 helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 28 Nov 2020 16:58:57 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

I have identified a problem.  Let a user set the files to be used for
Org Agenda in .emacs as follows, and consider the situation when the
file writing.rcl.org does not exist.

(setq org-agenda-files
   '("~/02histr/gadmin/writing.rcl.org"
     "~/02histr/gadmin/meeting.rcl.org"
     "~/02histr/gadmin/household.rcl.org"))

Emacs demands that the file writing.rcl.org be removed from org-agenda-fil=
es.
Then Emacs sabotages the user's settings by hardwiring org-agenda-files at=
 the
end of the file .emacs by inserting:

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(org-agenda-files
   '("~/02histr/gadmin/meeting.rcl.org" "~/02histr/gadmin/household.rcl.or=
g")))

This should be considered a bug.

Dani




Acknowledgement sent to daniela-spit@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44935; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Nov 2020 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.